Foreman - Bug #37034

Replace "apt-key" on Debian/Ubuntu in "global_registration.erb”
01/08/2024 10:10 AM - Maximilian Kolb

Status: Closed
Priority: Normal
Assignee: Maximilian Kolb
Category:
Target version:
Difficulty: Fixed in Releases: 3.10.0
Triaged: No Found in Releases: Nightly
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/9981,
https://github.com/theforeman/foreman/p
ull/9983,
https://github.com/theforeman/foreman/p
ull/10091,
https://github.com/theforeman/foreman/p
ull/10103
Description

Debian and Ubuntu have deprecated using "apt-key" to add GPG public keys to verify "Release.gpg" files. Therefore, we have to
switch to something like "curl GPG.key | gpg import".

Associated revisions

Revision 6575dc03 - 01/08/2024 03:46 PM - Maximilian Kolb
Fixes #37034 - Replace apt-key on Debian/Ubuntu

Revision 66964128 - 03/01/2024 10:25 AM - Maximilian Kolb
Refs #37034 - Use apt-key add on Ubuntu 16.04

e On Ubuntu 16.04, which is supported by Canonical until 2026, you
cannot place a GPG public key in "/etc/apt/trusted.gpg.d/" and use it
to verify the signature of "Release" files.

¢ EolL Ubuntu 16.04: https://ubuntu.com/16-04

e Ubuntu 14.04 is no longer supported by Canonical; Ubuntu 18.04 and all
supported Debian versions can handle GPG public keys in
"/etc/apt/trusted.gpg.d/".

e By default, "curl" is not installed on Debian and Ubuntu.

¢ By default, "gpg" is not installed on all supported Debian and Ubuntu

versions. On Ubuntu 16.04, the package for "gpg" is called "gnupg".

However, all supported Debian and Ubuntu releases allow installing

"gnupg" instead of "gpg".

Test on Ubuntu 16.04 in a container (ignore the repository and package;

this is just to ensure that the package installation works):

FROM ubuntu:xenial

RUN apt-get update && \
apt-get install -y ca-certificates curl gnupg

RUN curl --silent --show-error https://oss.atix.de/atix_gpg.pub | gpg --dearmor > /etc/apt/trusted.gpg.d/client.gpg && \
echo "deb http://oss.atix.de/Ubuntu20L TS/ stable main" > /etc/apt/sources.list.d/client.list &&\

apt-get update &&\

apt-get install -y apt-transport-katello

Revision 181e5040 - 03/12/2024 03:33 PM - Maximilian Kolb
Refs #37034 - Fix ERB syntax for comments

Co-authored-by: Markus Bucher <bucher@atix.de>
History

#1 - 01/08/2024 10:51 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/9981 added

#2 - 01/08/2024 03:46 PM - The Foreman Bot
- Fixed in Releases 3.10.0 added

#3 - 01/08/2024 04:00 PM - Maximilian Kolb
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|6575dc039092bcb2bf5c9e2bc45139cb16f6e26e.

#4 - 01/09/2024 04:38 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/9983 added

#5 - 03/12/2024 02:35 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/10091 added

#6 - 03/19/2024 02:18 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/10103 added
